#!/bin/bash

mkdir -p artifactsdb

DIR=`dirname $0`
DIR=`readlink -f "$DIR"`

CLASSPATH=
for l in `find "$DIR" -name \*.jar -print`; do
   CLASSPATH=$CLASSPATH:$l
done

export CLASSPATH

if [ $# != 1 ]; then
    echo "Usage: $0 <schema_file>"
fi

java org.h2.tools.RunScript \
    -url jdbc:h2:`readlink -f artifactsdb`/artifacts \
    -script "$1"
